cascading.flow.tez

## Class Hadoop2TezFlowConnector

- java.lang.Object
- - cascading.flow.FlowConnector
  - - cascading.flow.tez.Hadoop2TezFlowConnector

-     public class Hadoop2TezFlowConnector
      extends FlowConnector

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowConnector

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop2TezFlowConnector()`
    `Hadoop2TezFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `Hadoop2TezFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties, RuleRegistrySet ruleRegistrySet)`
    `Hadoop2TezFlowConnector(RuleRegistrySet ruleRegistrySet)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RuleRegistrySet` | `createDefaultRuleRegistrySet()`
    `protected FlowPlanner` | `createFlowPlanner()`
    `protected java.lang.Class<? extends Scheme>` | `getDefaultIntermediateSchemeClass()`

    - ### Methods inherited from class cascading.flow.FlowConnector

      `connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, getIntermediateSchemeClass, getPlatformInfo, getProperties, getRuleRegistrySet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hadoop2TezFlowConnector

          public Hadoop2TezFlowConnector()

    - #### Hadoop2TezFlowConnector

          @ConstructorProperties(value="properties")
          public Hadoop2TezFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties)

    - #### Hadoop2TezFlowConnector

          @ConstructorProperties(value="ruleRegistrySet")
          public Hadoop2TezFlowConnector(RuleRegistrySet ruleRegistrySet)

    - #### Hadoop2TezFlowConnector

          @ConstructorProperties(value={"properties","ruleRegistrySet"})
          public Hadoop2TezFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                                       RuleRegistrySet ruleRegistrySet)

  - ### Method Detail

    - #### getDefaultIntermediateSchemeClass

          protected java.lang.Class<? extends Scheme> getDefaultIntermediateSchemeClass()

      Specified by:
        `getDefaultIntermediateSchemeClass` in class `FlowConnector`

    - #### createFlowPlanner

          protected FlowPlanner createFlowPlanner()

      Specified by:
        `createFlowPlanner` in class `FlowConnector`

    - #### createDefaultRuleRegistrySet

          protected RuleRegistrySet createDefaultRuleRegistrySet()

      Specified by:
        `createDefaultRuleRegistrySet` in class `FlowConnector`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.